Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 07-08-03, 09:23 PM   #1
Paradoxx
Registered User
 
Join Date: Jul 2003
Location: Sweden --> Falun
Posts: 2
Send a message via ICQ to Paradoxx
Question how do install g4 on 2.5.xx Kernel!?

how do i install drivers on kernel 2.5.xx im gona us the kernel i can us i haw g4 ti 4400

im using gentoo
__________________
Im dyslectik
Paradoxx is offline   Reply With Quote
Old 07-09-03, 12:35 AM   #2
Liontooth
GeForce4 420 Go 32M
 
Join Date: May 2003
Posts: 17
Default

Hi dyklectis --

There are two places for patches -- http://linuxespana.scripterz.org/ and http://www.minion.de/
I'm using the patches from the minion.de site and the driver works great. I'm running 2.5.69 and they made some changes from 2.5.70 onwards. Incidentally, the 2.4.20 kernel also works fine on the drive that's patched for 2.5.69. There are patches for the last three nVidia drivers.

Cheers,
David

Here's what the minion.de people say:

NVIDIA 1.0-4363 Linux Driver Patches

These files have undergone basic testing, but are distributed without any warranty. Please note that using the "mem=nopentium" workaround for the AMD Athlon/AGP stability problem on Linux is known to not work as expected on Linux 2.5 (your system may freeze upon starting X with this option set).

If you are experiencing problems with ACPI support enabled, this may be due to the "new" ACPI PCI IRQ routing. You can disable support for this mechanism with the pci=noacpi boot-time kernel parameter. If this doesn't help, you may need to disable the ACPI subsystem with acpi=off.

Several people sent in questions about and patches for intermediate development kernels such as -mm*/-bk*; please note that while I do appreciate receiving updates, I won't make these intermediate .diffs available on this site. This isn't because it would be a maintenance burden (conflicts occur infrequently enough), but determining which of the patches available on this site to use and in which order has confused a lot of less experienced and also experienced users in the past. If you feel that I should make (even more) experimental .diffs for intermediate kernels available on this site, let me know.

Linux 2.5 (Linux 2.5.70) updated 06/14/2003

This patch introduces an experimental KBUILD based Makefile that is to simplify the build process and to take better advantage of kernel build utilities. Unfortunately, not everything is perfect with this approach: depending on your system configuration, you may have better luck with the old Makefile.

If you are using Linux 2.5, however, please use the KBUILD Makefile and report any problems you encounter. Also, if you have suggestions or find bugs, please let me or Alistair know.

After patching the NVIDIA driver, you will need to choose one of the two provided Makefiles by creating a symbolic link from the Makefile of your choice, Makefile.kbuild or Makefile.nvidia, to Makefile. The KBUILD Makefile is now the preferred Makefile for Linux 2.5 and Linux 2.4 and will likely completely replace NVIDIA's Makefile in the near future.

If you are using Linux 2.5.70, agpgart.ko and are experiencing hangs on X startup with Intel chipsets such as the venerable 440BX, whereas 2.5.69 and earlier kernels worked fine, you may want to apply the intel-agp.c.diff to drivers/char/agp/intel-agp.c. This fixes a regression in the generic Intel AGP GART driver in 2.5.70.

Thanks go to Alistair Strachan, Zephaniah E. Hull, David van Hoose and Ivan Gyurdiev for sending in updates/fixes for recent Linux API changes. Additional thanks go to Alistair for his continued support and many contributions.

Download: NVIDIA_kernel-1.0-4363-2.5.diff intel-agp.c.diff
Liontooth is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Mageia 2 Cannot Install 71.86.15 for Riva TNT/TNT2 kbulgrien NVIDIA Linux 3 06-29-12 08:27 AM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM
Crash when logout from X TGL NVIDIA Linux 10 09-13-02 08:22 PM

All times are GMT -5. The time now is 10:48 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.